package com.pj.project4sp.menu;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import org.springframework.stereotype.Repository;

/**
 * Mapper: sp_menu -- 菜单表
 * @author click33 
 */

@Mapper
@Repository
public interface SpMenuMapper {

	/**
	 * 增  
	 * @param s 实体对象 
	 * @return 受影响行数 
	 */
	int add(SpMenu s);

	/**
	 * 删  
	 * @param id 要删除的数据id  
	 * @return 受影响行数 
	 */
	int delete(String id);	 

	/** 
	 * 改  
	 * @param s 实体对象 
	 * @return 受影响行数 
	 */
	int update(SpMenu s);

	/** 
	 * 查 - 根据id  
	 * @param id 要查询的数据id 
	 * @return 实体对象 
	 */
	SpMenu getById(String id);	 

	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<SpMenu> getList(SoMap so);

	/**
	 * 查集合 - 根据角色id
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<SpMenu> getListByRoleId(long roleId);


}
